public var Arma : GameObject;
@Range(1,20)
public var NumeroDeCargadores : int = 3;
//public var NumeroDeBalas : int = 10;
//public var GUIBalas : GUIText;
public var GUICargadores: GUIText;
@Range(1,3)
public var VelocidadGiro : int = 2;

private var DisparoScript : DisparoSelectivo;
private var FireSound : AudioSource;

function Start (){
	var MyEffectObj : GameObject = GameObject.Find("EffectsSoundSource");
	FireSound = MyEffectObj.GetComponent(typeof(AudioSource)) as AudioSource;
}

// Roto el cargador sobre sí mismo a una velocidad determinada "velocidadgiro".
function Update () {
	transform.Rotate(Vector3.up, VelocidadGiro, Space.World);
	var FPC : GameObject = gameObject.Find("First Person Controller");
	DisparoScript = FPC.GetComponent(typeof(DisparoSelectivo)) as DisparoSelectivo;
}

// Al tocar el trigger actualizo la municion y destruyo el cargador.
function OnTriggerEnter (other : Collider) {
	if(other.gameObject.name == "First Person Controller"){
		if(FireSound != null)
			FireSound.Play();
		// Accedo al script de ArmasEstado y actualizo la MunicionActual.
		var GunStatusScript : GunStatus = Arma.GetComponent(GunStatus);
		GunStatusScript.CargadoresActuales += NumeroDeCargadores;
		// Compruebo que nunca pase de la municion total de balas.
		if(GunStatusScript.CargadoresActuales > GunStatusScript.CargadoresTotales)
			GunStatusScript.CargadoresActuales = GunStatusScript.CargadoresTotales;
			
		// Escribo la nueva municion en pantalla si el arma actual que estoy usando
		// coincide con el arma que estoy cargando (la municion es de esa arma).
		if(DisparoScript.Armas[DisparoScript.NumeroArma] == Arma)
			GUICargadores.text = GunStatusScript.CargadoresActuales.ToString();
		//GUIBalas.text = ArmasScript.CargadoresActuales.ToString();
		// Destruyo el cargador de municion
		Destroy(gameObject);
	}
}